// ------------------------------------token的本地存储------------------------------------

// 用户信息的本地缓存键名（包括token）
const USER_KEY = "LSDFGC_USER_INFO";

/**
 * 从本地缓存中获取用户信息
 */
export const getTokenInfo = (): any => {
  return JSON.parse(localStorage.getItem(USER_KEY) || "{}");
};

/**
 * 将用户信息存入缓存
 * @param {Object} tokenInfo 从后端获取到的 Token 信息
 */
export const setTokenInfo = (tokenInfo: any): void => {
  localStorage.setItem(USER_KEY, JSON.stringify(tokenInfo));
};

/**
 * 删除本地缓存中的用户信息
 */
export const removeTokenInfo = (): void => {
  localStorage.removeItem(USER_KEY);
};

/**
 * 判断本地缓存中是否存在 Token 信息
 */
export const hasToken = (): boolean => {
  return Boolean(getTokenInfo().token);
};
